
Katello - Bug #4067

Creating two package filter rule criteria with the same name filter breaks

01/16/2014 05:47 PM - Katello Issue Migration

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Steps to reproduce:

1. Create a content view definition with an filter.

2. Add an include filter package rule

3. Set name = "walrus" and version = "1.1.1"

3. Add a second line name = "walrus" and version = "1.2.3"

4. Save everything and return to the package. You'll have two package rule criteria but one will be with version = "1.2.3" and the

other will be all versions.

I think this is happening because the UI identifies the rule based on the name criterion.

Created: daviddavis on August 02, 2013 14:25 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/2715

History

#1 - 04/08/2014 06:26 PM - Eric Helms

- Status changed from New to Closed

- Triaged set to Yes

No longer relevant with the removal of content view definitions and overhaul of content views.

#2 - 08/21/2014 02:21 PM - Eric Helms

- translation missing: en.field_release set to 13
